---
Name: mysiteextensions
After:
  - '#rootroutes'
  - '#coreroutes'
---

# All extension config should be available "at-a-glance" and not buried in class-level private statics or arbitrary YML config files.
# See http://doc.silverstripe.org/framework/en/topics/configuration
# Caution: Indentation through two spaces, not tabs

SilverStripe\ORM\DataObject:
  extensions:
    - VarcharExtension
    - ValidatingExtension

SilverStripe\Security\Group:
  extensions:
    - ClonableExtension
    - GroupExtension
  prompted_fields:
    - Title

SilverStripe\Security\Member:
  extensions:
    - MemberExtension

SilverStripe\Assets\File:
  extensions:
    - FileExtension

ProductGenerator:
  extensions:
    - ClonableExtension
  prompted_fields:
    - Name

Bundle:
  extensions:
    - ClonableExtension
  prompted_fields:
    - Name

SilverStripe\SiteConfig\SiteConfig:
  extensions:
    - SiteConfigExtension

SilverStripe\AssetAdmin\Controller\AssetAdmin:
  extensions:
    - AssetAdminExtension

Catalyst\OpenLayer3\DataObjects\layers\OL3Layer:
  extensions:
    - OL3ClidescLayerExtension

AutomatedWorkRun:
  extensions:
    - AutomatedWorkRunExtension

SilverStripe\CMS\Model\SiteTree:
  extensions:
    - UserGuideSiteTreeExtension

SilverStripe\ErrorPage\ErrorPage:
  extensions:
    - ErrorPageExtension
